import { TransformerMetadata } from './meta-storage.interface';
export declare class MetaStorage {
    private static _metaStorage?;
    private _transformerMetadata;
    static instance(): MetaStorage;
    records(): TransformerMetadata[][];
    addTransformerMetadata(metadata: TransformerMetadata): void;
    findTransformerMetadata(target: Function): readonly TransformerMetadata[] | undefined;
    private _initializeOrSkip;
    private _metaRecordsFor;
    private _detectAndThrowDuplicateTransformers;
}
